"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var RoundButton = (function (_super) {
    __extends(RoundButton, _super);
    function RoundButton() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RoundButton.prototype.render = function () {
        var _a = this.props, color = _a.color, diameter = _a.diameter, disabled = _a.disabled, float = _a.float, label = _a.label, margin = _a.margin, onClick = _a.onClick;
        var ringDiameter1 = diameter * 0.98;
        var ringDiameter2 = ringDiameter1 * 0.82;
        var ringDiameter3 = ringDiameter2 * 0.96;
        var ringDiameter4 = ringDiameter3 * 0.9;
        var defaultStyles = {
            float: float,
            borderRadius: '100%'
        };
        var buttonStyles = __assign({ height: diameter, margin: margin, width: diameter, background: color, border: 'none', padding: 0 }, defaultStyles);
        var Ring1 = (_b = ["\n            width: ringDiameter1,\n            height: ringDiameter1,\n            margin: diameter * 0.01,\n            background: 'green'\n        "], _b.raw = ["\n            width: ringDiameter1,\n            height: ringDiameter1,\n            margin: diameter * 0.01,\n            background: 'green'\n        "], styled_components_1.default.div(_b));
        var Ring2 = (_c = ["\n            width: ringDiameter2,\n            height: ringDiameter2,\n            margin: ringDiameter1 * 0.09,\n            background: '#0e99ff'\n        "], _c.raw = ["\n            width: ringDiameter2,\n            height: ringDiameter2,\n            margin: ringDiameter1 * 0.09,\n            background: '#0e99ff'\n        "], styled_components_1.default.div(_c));
        var Ring3 = (_d = ["\n            width: ringDiameter3,\n            height: ringDiameter3,\n            margin: ringDiameter2 * 0.02,\n            background: '#ff5a2c'\n        "], _d.raw = ["\n            width: ringDiameter3,\n            height: ringDiameter3,\n            margin: ringDiameter2 * 0.02,\n            background: '#ff5a2c'\n        "], styled_components_1.default.div(_d));
        var Ring4 = (_e = ["\n            width: ringDiameter4,\n            height: ringDiameter4,\n            margin: ringDiameter3 * 0.05,\n            background: '#7953ff',\n            color: 'FFF',\n            textAlign: 'center',\n            lineHeight: ", "px,\n            textTransform: 'uppercase',\n            fontSize: ringDiameter4 * 0.3\n        "], _e.raw = ["\n            width: ringDiameter4,\n            height: ringDiameter4,\n            margin: ringDiameter3 * 0.05,\n            background: '#7953ff',\n            color: 'FFF',\n            textAlign: 'center',\n            lineHeight: ", "px,\n            textTransform: 'uppercase',\n            fontSize: ringDiameter4 * 0.3\n        "], styled_components_1.default.div(_e, ringDiameter4));
        return (React.createElement("button", { className: "round-button", disabled: disabled, style: buttonStyles, onClick: onClick },
            React.createElement(Ring1, null,
                React.createElement(Ring2, null,
                    React.createElement(Ring3, null,
                        React.createElement(Ring4, null, label))))));
        var _b, _c, _d, _e;
    };
    return RoundButton;
}(React.Component));
exports.default = RoundButton;
